# LoginPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class LoginPhase

#### Hierarchy (View Summary)

- Phase
  - LoginPhase

- Defined in src/phases/login-phase.ts:12

##### Index

### Constructors

constructor

### Methods

end
start

## Constructors

### constructor

- new LoginPhase(showText?: boolean): LoginPhase

  #### Parameters

  - `Optional` showText: boolean

  #### Returns LoginPhase

  Overrides Phase.constructor

  - Defined in src/phases/login-phase.ts:15

## Methods

### end

- end(): void

  #### Returns void

  Overrides Phase.end

  - Defined in src/phases/login-phase.ts:111

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/login-phase.ts:21